<template>
  <modal class="arcticmodal-container"
         height="auto"
         name="groups-social-network"
         :minWidth="330"
         :resizable="true"
         :adaptive="true"
         :reset="true"
         :delay="1"
         @opened="opened"
         @closed="$modal.hide('groups-social-network')"
  >
      <div class="box-modal questionnaire-modal" style="margin: 0;">
          <div class="container m-header">
              <div @click="closeModalWindow" class="box-modal_close arcticmodal-close"></div>
              <div class="row">
                  <div class="column" style="margin:0;padding:0">
                    <h3 class="center">ШАГ 2: Подпишитесь на страницы Webbankir в социальных сетях</h3>
                  </div>
              </div>
          </div>
            <div class="container">
              <div class="row">
                <div class="column block_vk_ok">
                  <div id="vk_groups"></div>
                  <div id="ok_group_widget"></div>
                </div>
                <div class="column block_fb_ig">
                  <iframe src="https://www.facebook.com/plugins/page.php?href=https%3A%2F%2Fwww.facebook.com%2FWebbankir&tabs=timeline&width=395&height=130&small_header=false&adapt_container_width=true&hide_cover=true&show_facepile=false&appId" id="ifr_fb" width="260" height="130" style="border:none;overflow:hidden; margin-right: 15px; border-right: 1px solid #ebedf0" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                  <iframe src="//widget.stapico.ru/?q=_webbankir_&s=20&w=7&h=1&b=1&p=5&title=Insta&effect=0" allowtransparency="true" frameborder="0" scrolling="no" style="border:none;overflow:hidden;width:260px; height: 116px; border-right: 1px solid #c3c3c3; border-top-right-radius: 2px; border-bottom-right-radius: 2px;" id="ifr_ig"></iframe>
                </div>
              </div>
            </div>
          </div>
  </modal>
</template>

<script>
	export default {
		name: 'Subscribe',
    methods: {
		  opened () {
        this.$modal.show('groups-social-network');
        this.$nextTick(() => {
          // <!-- VK Widget -->
          try {
            VK.Widgets.Group("vk_groups", {mode: 3, width: "260"}, 42172377);
          } catch (e) {

          }

          // oki widget
          !function (d, id, did, st) {
            var js = d.createElement("script");
            js.src = "https://connect.ok.ru/connect.js";
            js.onload = js.onreadystatechange = function () {
              if (!this.readyState || this.readyState == "loaded" || this.readyState == "complete") {
                if (!this.executed) {
                  this.executed = true;
                  setTimeout(function () {
                    OK.CONNECT.insertGroupWidget(id,did,st);
                  }, 0);
                }
              }};
            d.documentElement.appendChild(js);
          }(document,"ok_group_widget","51815442809006",'{"width":260,"height":225}');
        })
      },
      closeModalWindow () {
        this.$modal.hide('groups-social-network')
        this.$store.commit('CALL_FORM_SOCIAL_NETWORK', false)
      }
    }
	}
</script>

<style scoped>
  #ok_group_widget {
    float: right;
    top: -225px;
    position: relative;
  }

  .block_vk_ok {
    margin-bottom: -200px
  }

  .block_fb_ig {
    margin: 5px 0 0;
  }
  #ifr_ig {
    top: -7px;
    position: relative;
  }
    @media (max-width: 600px) {
      #vk_groups {
        width: 100% !important;
      }
      #ok_group_widget {
        float: none;
        top: 0px;
        position: static;
        margin-top: 20px;
      }
      .block_vk_ok {
        text-align: center;
      }
      #ifr_fb {
        margin: 200px 0 0 15px;
      }
      #ifr_ig{
        top: 20px;
      }
      .block_fb_ig {
        text-align: center;
        margin-bottom: 10px;
      }
    }
</style>
